package com.gyee.wisdom.alarm.schedule.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.wisdom.alarm.schedule.entity.Windturbine;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface WindturbineMapper extends BaseMapper<Windturbine> {
    List<Windturbine> selectWindturbines();

    Windturbine selectByPrimaryKey(String id);

    List<Windturbine> selectWindturbineByCondition(@Param("stationId") String stationId,
                                        @Param("modelId") String modelId);

    List<Windturbine> selectWindturbineByCondition2(@Param("stationId") String stationId);
}
